using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Siger.Middlelayer.Repository;


namespace Siger.Middlelayer.IMSRepository.Entities
{

    [Table("siger_project_ims_test")]
    public class ProjectIMSTestEntity : EntityBase
    {
        public ProjectIMSTestEntity()
        {
            Status = 1;
        }
        public ProjectIMSTestEntity(int userid, int pid)
        {
            Projectid = pid;
            Editor = userid;
            Creator = userid;
            CreateTime = DateTime.Now;
            Status = 1;
        }
        /// <summary>
        /// 
        /// </summary>
        [Key]
        [Column("id")]
        public int Id { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [Column("projectid")]
        public int Projectid { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [Column("status")]
        public int Status { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [Column("creator")]
        public int Creator { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [Column("editor")]
        public int Editor { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [Column("create_time")]
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 刀具号
        /// </summary>
        [Column("tool_id")]
        public int ToolId { get; set; }
        /// <summary>
        /// 结果1合格2不合格
        /// </summary>
        [Column("result")]
        public int Result { get; set; }
        /// <summary>
        /// 设备id
        /// </summary>
        [Column("machine_id")]
        public int MachineId { get; set; }
        /// <summary>
        /// 刀位号
        /// </summary>
        [Column("location")]
        public string Location { get; set; }
        /// <summary>
        /// 检测单号
        /// </summary>
        [Column("order_number")]
        public string OrderNumber { get; set; }

    }

}
